Summary: Japanese input system
Name: Canna
Version: 3.5b2
Release: 29
Copyright: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.nec.co.jp/pub/Canna/Canna35/Canna35b2.tar.gz
Source1: canna.init
Source2: dot-canna
Patch0: Canna-3.5b2.conf.patch
Patch1: Canna-3.5b2.Imakefile.patch
Patch2: Canna-3.5b2-glibc.patch
# Canna-3.5b2-glibc.patch ϡƣ <densuke@ga2.so-net.or.jp> 
# 󶡤ޤ
Patch3: Canna-3.5b2.noch.patch
Patch4: Canna-3.5b2-stdin.patch
Patch5: Canna-3.5b2-locale.patch
Patch6: Canna-3.5b2-bcopy.patch
# Patch7: Canna-3.5b2-fhs.patch
Patch8: canna-security.patch
Patch9: Canna-3.5b2-hosts.canna-fix.patch
URL: http://www.nec.co.jp/japanese/product/computer/soft/canna/
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig, /etc/services, /bin/grep, /bin/cp
Summary(ja): ܸϥƥ

%description
Canna is a Japanese input system and provides a unified user interface
for inputing Japanese. It supports Nemacs(Mule), kinput2, and canuum.
All of these tools can be used by a single customization file, romaji-to-kana
conversion rules and conversion dictionaries, and input Japanese in
the same way. It converts kana to kanji based on a client-server model and
supports automatically kana-to-kanji conversion.

%description -l ja
Canna ܸϤݤˡ줵줿桼󥿡ե󶡤
ܸϥƥǤNemacs(Mule)kinput2canuum 򥵥ݡȤ
ޤΥġ뤹٤ƤϡñΥޥե롢޻
Ѵ§ѴѤơƱܸͤϤǤޤ饤-
ХǥˤȤŤƤʤѴ༡ŪʤʴѴ򥵥ݡ
ȤƤޤ

%package devel
Summary: development library and header file for Canna
Group: Development/Libraries

%description devel
This package contains the header file and library for building programs
with use Canna.

%description devel -l ja
Υѥåˤ Canna Ѥץ򥳥ѥ뤹뤿ɬ
פʥإåեȥ饤֥ޤǤޤ

%prep
%setup -q -n %{name}35b2
%patch0 -p1
%patch1 -p1
%patch4 -p1
if [ -f /lib/libc-2* ]; then
%patch2 -p0
fi
set `/usr/bin/id`
if [ X$1 != "Xuid=0(root)" ]; then
%patch3 -p1
fi
%patch5 -p1
%patch6 -p1
# %patch7 -p1 -b .fhs
%patch8 -p1 -b .security
%patch9 -p1 -b .hostscanna

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.3
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1

%build
xmkmf
make Makefile
make canna

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install.man

(cd $RPM_BUILD_ROOT%{_mandir}/ja;
mv man1x man1;
mv man3x man3;
cd man1;
for I in *; do sed -e 's/man1x/man1/g' < $I > $I-; mv $I- $I; done;
cd ../man3;
for I in *; do sed -e 's/man3x/man3/g' < $I > $I-; mv $I- $I; done)

mv misc/manual.sed .
rm -fr misc
mkdir misc
mv manual.sed misc

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/skel
cp $RPM_SOURCE_DIR/canna.init $RPM_BUILD_ROOT/etc/rc.d/init.d/canna
cp $RPM_SOURCE_DIR/dot-canna $RPM_BUILD_ROOT/etc/skel/.canna
chmod 755 $RPM_BUILD_ROOT/etc/rc.d/init.d/canna

cat > $RPM_BUILD_ROOT/etc/hosts.canna << EOF
unix
localhost
EOF

for bin in addwords cpdic delwords lsdic mkdic mvdic rmdic syncdic ; do
	ln -sf catdic $RPM_BUILD_ROOT/usr/bin/${bin}
done
ln -sf ../bin/catdic $RPM_BUILD_ROOT/usr/sbin/cannakill

%clean
rm -fr $RPM_BUILD_ROOT

%post
if ! grep -q canna /etc/services
then
	echo "canna		5680/tcp" >>/etc/services
fi

/sbin/chkconfig --add canna

/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
    /sbin/service canna stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del canna
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service canna condrestart >/dev/null 2>&1 || :
fi

/sbin/ldconfig

%files
%defattr (-,root,root)
%doc CHANGES.jp INSTALL INSTALL.jp README README.jp WHATIS WHATIS.jp
%doc Canna.conf doc misc
%config /etc/rc.d/init.d/canna
%config(noreplace) /etc/hosts.canna
/usr/bin/*
/usr/lib/libRKC.so.1.0.0
/usr/lib/libRKC.so.1.0
/usr/lib/libRKC16.so.1.0.0
/usr/lib/libRKC16.so.1.0
/usr/lib/libcanna.so.1.0.0
/usr/lib/libcanna.so.1.0
/usr/lib/libcanna16.so.1.0.0
/usr/lib/libcanna16.so.1.0
/etc/skel/.canna
%{_mandir}/ja/man1/*
%defattr (-,bin,bin)
/usr/sbin/cannaserver
/usr/sbin/cannakill
/var/lib/canna/
/var/log/canna/

%files devel
%defattr (-,root,root)
/usr/include/canna/
/usr/lib/libRKC.so
/usr/lib/libRKC.a
/usr/lib/libRKC16.so
/usr/lib/libRKC16.a
/usr/lib/libcanna.so
/usr/lib/libcanna.a
/usr/lib/libcanna16.so
/usr/lib/libcanna16.a
%{_mandir}/ja/man3/*

%changelog
* Wed Sep 13 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- spcfile typo fix (doc-canna -> dot-canna)

* Wed Sep 13 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- add /etc/skel/.canna

* Thu Sep 12 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- fix initscript

* Mon Sep 11 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- chown bin.bin /usr/sbin/{cannaserver,cannakill},/var/lib/canna
  and /var/log/canna

* Mon Sep 11 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- hosts.canna read bug fix.

* Thu Sep  7 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- move back /etc/init.d -> /etc/rc.d/init.d

* Thu Aug 24 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- chmod +x /etc/init.d/canna

* Fri Aug  4 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- move /etc/rc.d/init.d -> /etc/init.d

* Thu Aug  3 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt for RedHat 7.0.
- man directory ja_JP.UJIS -> ja
- Canna-3.5b2.conf.patch modified to install manpages to /usr/share/man
- remove Canna-3.5b2-fhs.patch to install manpages to /usr/share/man 

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error in postun
- no need to remove the services entry in postun
- make all symlinks to catdic relative instead of absolute

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Bill Nottingham <notting@redhat.com>
- don't run by default
- add buffer overflow patch
- add configuration that should in theory only accept connections
  from localhost or unix socket

* Mon Jun 26 2000 Preston Brown <pbrown@redhat.com>
- initscript to /etc/init.d, and updated for new initscript stds.

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- don't redefine bcopy
- add defattr

* Sun Mar 26 2000 Chris Ding <cding@redhat.com>
- ja -> ja_JP.eucJP

* Tue Mar 21 2000 Chris Ding <cding@redhat.com>
- ja_JP.eucJP -> ja

* Thu Mar  9 2000 Matt Wilson <msw@redhat.com>
- build for 6.2, gzip manpages

* Sat Mar  4 2000 Chris Ding <cding@redhat.com>
- ja -> ja_JP.eucJP
- changed group

* Thu Oct 21 1999 Matt Wilson <msw@redhat.com>
- added prereq for grep and cp

* Wed Oct 20 1999 Matt Wilson <msw@redhat.com>
- added prereq for /sbin/chkconfig and /etc/services

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- fixed redirection path for 4 man pages

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Thu Jun 24 1999 Japanese LinuxPPC Users' Group <jrpm@ppc.linux.or.jp>
- build against Linuxppc R5
- add Oe's stdin patch in Canna-3.5b2-3rh.src.rpm
- change canna.init and spec file for safty shutdown cannaserver. Thanks to Shoichiro Nagata.

* Sun May 30 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 4th Release for i386 (glibc2.1).
- Original Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

* Fri Jan 22 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 4th release
- changed installed directories (See Canna.conf and INSTALL.jp)
- added post-{un}install scripts for Canna and Canna-devel packages
- added URL, Distribution, Vendor, and Prefix tags

* Tue Nov 04 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 3rd release
- patched for glibc. Thanks Mr. Daisuke Sato <densuke@ga2.so-net.or.jp>
- divided the Canna packege into Canna and Canna-devel

* Sun Jul 27 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 2nd release

* Fri Jul 11 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
